# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install glib2-devel
# END SourceDeps(oneline)
BuildRequires: libxml2-devel
Name:           gimmix
Version:        0.5.7.2
Release:        alt1_4
Summary:        Graphical music player daemon (MPD) client

Group:          Sound
License:        GPLv2+
URL:            http://prianik.co.in/gimmix/
Source0:        http://prianik.co.in/gimmix/releases/gimmix-0.5.7.2.tar.bz2
Source1:        gimmix.desktop

# See #564619
Patch1:         gimmix-Makefile.patch
# fix curl build
# http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-sound/gimmix/files/gimmix-0.5.7.1-curl-headers.patch?revision=1.1
Patch2:         gimmix-curl.patch

BuildRequires:  gtk2-devel
BuildRequires:  libmpd-devel
BuildRequires:  libglade2-devel
BuildRequires:  taglib-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libcurl-devel
BuildRequires:  libnxml-devel
Source44: import.info

%description
Gimmix is a graphical music player daemon (MPD) client written in C using
GTK+2. It's very simple and easy to use, yet offers many features to make
your audio experience a pleasant one.

%prep
%setup -q
%patch1
%patch2 -p1 -b curl

ln -s %{_datadir}/intltool/Makefile.in.in po/

%build
chmod -x src/*

%configure --enable-lyrics --enable-cover
make %{?_smp_mflags} CPPFLAGS=-I/usr/include/libxml2


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gimmix
%{_datadir}/gimmix/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*gimmix.desktop
%{_mandir}/man1/gimmix*


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.7.2-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.7.2-alt1_3
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.7.2-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.7.2-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.7.1-alt1_9
- update to new release by fcimport

* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.7.1-alt1_8
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.7.1-alt1_7
- update to new release by fcimport

* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.7.1-alt1_6
- initial fc import

